### NAME

concat - Join lists together

### SYNOPSIS

concat ?arg arg ...?

### DESCRIPTION

This command joins each of its arguments together with spaces after trimming leading and trailing spaces from each of them. If all the arguments are lists, this has the same effect as concatenating them into a single list. It permits any number of arguments. For example, the command

    concat a b {c d e} {f {g h}}

will return

    a b c d e f {g h}

as its result, and

    concat " a b {c   " d "  e} f"

will return

    a b {c d e} f

as its result.

If no args are supplied, the result is an empty string.

### SEE ALSO

append, eval

### KEYWORDS

concatenate, join, lists

    Copyright © 1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.